The python package ``czmtestkit`` works parallel to ``Abaqus/CAE`` mainly to test user element subroutines of cohesive zone models and implement the mode partitioning method proposed by [Moreira et al., (2020)](#1).
Examples are avaiable in the *[documentation](https://czmtestkit.readthedocs.io/en/latest/)* and the package is on *[PyPI](https://pypi.org/project/czmtestkit/)*. 
This repository contains data generated while implementing the mode partitioning method with the BK criteria.
Implement the jupyter notebook to reproduce the results and data in section 4.2 on **MPM WITH POWER-LAW VS. BK CRITERIA** of Master thesis titled **Finite Element Model For Interfaces In Compatibilized Polymer Blends** submitted to [TU Delft repository](http://repository.tudelft.nl/) with [ISBN:`978-94-6366-528-5`](http://resolver.tudelft.nl/uuid:88140513-120d-4a34-b893-b84908fe2373).

# Prerequisites

Ensure that all the following requirements are satisfied.
1. Abaqus/CAE is available and can be opened with the following command from the command line.
    ``` abaqus cae ```
2. Fortran compiler is linked to abaqus. If not, follow instructions by [Abedin Nejad (2019)](#2).
3. Python and pip have been installed and can be run from the command line. If unsure, follow instructions in [https://packaging.python.org/en/latest/tutorials/installing-packages/](https://packaging.python.org/en/latest/tutorials/installing-packages/) 


# Install

Run the following command in a command window.

``` python -m pip install czmtestkit ```

In case an issue arises, try the following command.

``` pip install czmtestkit ```

Use the following command to upgrade the package.

``` python -m pip install --upgrade czmtestkit ```

# References
<a id="1">[1]</a> R. Moreira, M. de Moura, F. Silva, F. Ramírez, and J. Rodrigues. Mixed-mode i + ii fracture characterisation of composite bonded joints. Journal of Adhesion Science and Technology, 34(13):1385–1398, 2020.

<a id="2">[2]</a> Abedin Nejad , Sobhan (2019) Linking ABAQUS with FORTRAN user manual. DOI:[10.13140/RG.2.2.19391.87206](http://dx.doi.org/10.13140/RG.2.2.19391.87206)

# License
<a rel="license" href="http://creativecommons.org/licenses/by/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by/4.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by/4.0/">Creative Commons Attribution 4.0 International License</a>.

**Authors: [Nanditha Mudunuru](https://in.linkedin.com/in/nanditha-mudunuru-952296104)  |  [Miguel Bessa](https://scholar.google.com/citations?user=jzDs_6sAAAAJ&hl=en)  |  [Albert Turon](https://scholar.google.com/citations?user=0ylSC9wAAAAJ&hl=en)**